[![pypi](https://img.shields.io/pypi/v/hackerforms.svg)](https://pypi.python.org/pypi/hackerforms)
[![PyPI Downloads](https://img.shields.io/pypi/dm/hackerforms.svg)](https://pypi.org/project/hackerforms/)
[![Code check](https://github.com/abstra-app/hackerforms-lib/actions/workflows/code_check.yml/badge.svg)](https://github.com/abstra-app/hackerforms-lib/actions/workflows/code_check.yml)

# Hackerforms

Launch interactive Python scripts as beautiful form-like apps

![docs_editor](https://user-images.githubusercontent.com/8538337/200737655-7d212aef-e07a-4425-8cab-40000be3539d.gif)

No HTML, CSS, JS... With single line commands, get data from users and display info to them.

## Examples
<!-- Section below is autogenerated by a Github Action on hackerforms-examples repo -->
<!-- BEGIN AUTOGENERATED -->

- Add credits to workspace
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/add_credits_to_workspace.py)
  - [Live demo](https://examples.abstra.run/add-credits-to-workspace)  
- Cap table calculator
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/cap_table_calculator.py)
  - [Live demo](https://examples.abstra.run/cap-table-calculator)  
- Certificate generator
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/certificate_generator_REAL.py)
  - [Live demo](https://examples.abstra.run/certificate-generator)  
- Create Hubspot deals from Apollo leads
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/create_hubspot_deals_from_apollo_leads.py)
  - [Live demo](https://examples.abstra.run/create-hubspot-deals-from-apollo-leads)  
- Create invoice from CRM
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/create_invoice_from_crm.py)
  - [Live demo](https://examples.abstra.run/create-invoice-from-crm)  
- Customer checkout
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/customer_checkout.py)
  - [Live demo](https://examples.abstra.run/customer-checkout)  
- Customer registration
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/customer_registration.py)
  - [Live demo](https://examples.abstra.run/customer-registration)  
- Dev marketplace
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/dev_marketplace_REAL.py)
  - [Live demo](https://examples.abstra.run/dev-marketplace)  
- Generate documents from spreadsheet
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/generate_documents_from_spreadsheet.py)
  - [Live demo](https://examples.abstra.run/generate-documents-from-spreadsheet)  
- Insert saving incomes
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/input_savings_incomes_REAL.py)
  - [Live demo](https://examples.abstra.run/input-savings-incomes)  
- Investor registration
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/investor_registration.py)
  - [Live demo](https://examples.abstra.run/investor-registration)  
- Invoice factoring calculator
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/invoice_factoring_calculator.py)
  - [Live demo](https://examples.abstra.run/invoice-factoring-calculator)  
- Lead gen form
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/lead_gen_form.py)
  - [Live demo](https://examples.abstra.run/lead-gen-form)  
- Online exam
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/online_exam.py)
  - [Live demo](https://examples.abstra.run/online-exam)  
- Purchase requester
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/purchase_requester.py)
  - [Live demo](https://examples.abstra.run/purchase-requester)  
- Realtime exam with answer sheet
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/realtime_exam_with_answer_sheet.py)
  - [Live demo](https://examples.abstra.run/realtime-exam-with-answer-sheet)  
- Receivables
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/receivables.py)
  - [Live demo](https://examples.abstra.run/receivables)  
- Schedule calendar events
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/schedule_calendar_events.py)
  - [Live demo](https://examples.abstra.run/schedule-calendar-events)  
- Self check-in
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/self_check_in_REAL.py)
  - [Live demo](https://examples.abstra.run/self-check-in)  
- Send customized emails from spreadsheet
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/send_customized_emails_from_spreadsheet.py)
  - [Live demo](https://examples.abstra.run/send-customized-emails-from-spreadsheet)  
- Simple quiz
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/simple_quiz.py)
  - [Live demo](https://examples.abstra.run/simple-quiz)  
- SQL generator
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/sql_generator.py)
  - [Live demo](https://examples.abstra.run/sql-generator)  
- Subscribe to a new feature
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/subscribe_to_a_new_feature_REAL.py)
  - [Live demo](https://examples.abstra.run/subscribe-to-a-new-feature)  
- Tax calculator
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/tax_calculator.py)
  - [Live demo](https://examples.abstra.run/tax-calculator)  
- Team registration
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/team_registration.py)
  - [Live demo](https://examples.abstra.run/team-registration)  
- Travel registration
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/travel_registration.py)
  - [Live demo](https://examples.abstra.run/travel-registration)  
- Notify buying intention
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/buying_intention_form_REAL.py)
  - [Live demo](https://examples.abstra.run/buying-intention-form)  
- User-specific spreadsheet access
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/spreadsheet_access.py)
  - [Live demo](https://examples.abstra.run/spreadsheet-access)  
- Vacation approval
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/vacation_approval.py)
  - [Live demo](https://examples.abstra.run/vacation-approval)  
- Virtual class with slides and timed exam
  - [Code](https://github.com/abstra-app/hackerforms-examples/blob/master/forms/virtual_class_timed_exam.py)
  - [Live demo](https://examples.abstra.run/virtual-class-timed-exam)  


<!-- END AUTOGENERATED -->

[See all widgets here](https://docs.abstracloud.com/library/widgets)

## Installation

```bash
pip install hackerforms
```

## Links

- [Examples](https://github.com/abstra-app/hackerforms-examples/tree/master/python)
- [Docs](https://docs.abstracloud.com/)
